﻿New-EventLog –LogName System –Source "DiskAlert"

$ThreshHold = 50
$ThreshHold2 = 30

$MachineName = $env:COMPUTERNAME
 $PingMachine = "select * from win32_pingstatus where address = '$MachineName'"
$PingResult = Get-WmiObject -query $PingMachine
 if ($PingResult.protocoladdress) {

 $GetDisks = get-wmiobject Win32_LogicalDisk -computername $MachineName -Filter "DriveType = 3"

 foreach ($Disk in $GetDisks) {
 if ($Disk.size -gt 0) {$PercentFree = [Math]::round((($disk.freespace/$disk.size) * 100))}
 else {$PercentFree = 0}

$Drive = $Disk.DeviceID
"$MachineName – $Drive – $PercentFree"

 if ($PercentFree -le $ThreshHold) {

 Write-EventLog –LogName System –Source "DiskAlert" –EntryType Information –EventID 111 -Message "Der Speicherplatz auf der Maschine $MachineName, Laufwerk $Drive ist geringer als $ThreshHold Prozent der Gesamtkapazität. Auf dem Laufwerk $Drive sind nur noch $PercentFree Prozent frei."
}

if ($PercentFree -le $ThreshHold2) {

Write-EventLog –LogName System –Source "DiskAlert" –EntryType Warning –EventID 112 -Category 2 -Message "Der Speicherplatz auf der Maschine $MachineName ist kritisch, Laufwerk $Drive ist geringer als $ThreshHold2 Prozent der Gesamtkapazität. Auf dem Laufwerk $Drive sind nur noch $PercentFree Prozent frei."

$Subject = $env:computername+": automatische Festplattenüberwachung vom "+(Get-Date)
$Content = "Der Speicherplatz auf der Maschine $MachineName ist kritisch, Laufwerk $Drive ist geringer als $ThreshHold2 Prozent der Gesamtkapazität. Auf dem Laufwerk $Drive sind nur noch $PercentFree Prozent frei."

$from = new-object System.Net.Mail.MailAddress("Papst@dwp.local")
Send-MailMessage –To jw@dwp.local –From $from –Subject $Subject –Body $Content –SmtpServer "SRVEX" -Encoding UTF8

}
 }
 }

Remove-EventLog -Source "DiskAlert"

#Get-EventLog -LogName system -InstanceId 112
#Get-EventLog system -after (get-date).AddDays(-1) | where {$_.InstanceId -eq 112}